package com.baijiayun.groupclassui;

import android.content.Context;
import android.content.Intent;

import androidx.annotation.NonNull;

import com.baijiayun.groupclassui.global.GroupClassActivity;
import com.baijiayun.livebase.context.LPConstants;
import com.baijiayun.livebase.models.LPJoinCodeEnterRoomModel;
import com.baijiayun.livebase.models.LPSignEnterRoomModel;

/**
 * Created by Shubo on 2018/9/12.
 */
public final class InteractiveClassUI {

    public static LPConstants.LPResolutionType defaultResolution = LPConstants.LPResolutionType.LOW;

    public static void enterRoom(@NonNull Context context, @NonNull LPJoinCodeEnterRoomModel codeEnterRoomModel) {
        Intent intent = new Intent(context, GroupClassActivity.class);
        intent.putExtra("code", codeEnterRoomModel);
        context.startActivity(intent);
    }

    public static void enterRoom(@NonNull Context context, @NonNull LPSignEnterRoomModel signEnterRoomModel) {
        Intent intent = new Intent(context, GroupClassActivity.class);
        intent.putExtra("sign", signEnterRoomModel);
        context.startActivity(intent);
    }

    public static void setDefaultResolution(LPConstants.LPResolutionType defaultResolution) {
        InteractiveClassUI.defaultResolution = defaultResolution;
    }
}
