package com.baijiayun.groupclassui.window.toolbox.quiz;

import com.baijiayun.groupclassui.base.BaseGroupPresenter;
import com.baijiayun.livebase.base.BaseView;
import com.baijiayun.livebase.models.LPJsonModel;
import com.baijiayun.livebase.models.imodels.IUserModel;

/**
 * Created by wangkangfei on 17/5/31.
 */

public interface QuizContract {

    interface View extends BaseView<Presenter> {
        void onArrived(LPJsonModel jsonModel);

        void onEndArrived(LPJsonModel jsonModel);

        void onGetCurrentUser(IUserModel userModel);
    }

    interface Presenter extends BaseGroupPresenter {
        void submitAnswer(String submitContent);

        void sendCommonRequest(String request);

        void getCurrentUser();

        String getRoomToken();

        void dismissDlg(boolean isSolution);

        boolean checkRouterNull();
    }
}
