package com.baijiayun.groupclassui.container;

import com.baijiayun.groupclassui.layer.VideoDragLayer;
import com.baijiayun.livebase.context.LPConstants;

/**
 * Created by pengwenjian on 2020/12/4
 * Describe: 视频容器接口,支持画廊到小班和自习室模式切换
 */
public interface VideoContainerListener {
    void initVideo();

    void switchLayoutMode(boolean isBoardLayout);

    void switchStudyRoomMode(LPConstants.StudyRoomMode roomMode);

    VideoDragLayer getVideoDragLayer();

    void release();
}
