package com.baijiayun.groupclassui.util

import android.view.View

/**
 * Created by pengwenjian on 2020/12/12
 * Describe:
 */
fun convertTime(seconds: Long): String {
    return "${String.format("%02d", seconds / 3600)}:" +
            "${String.format("%02d", seconds / 60 % 60)}:${String.format("%02d", seconds % 60)}"
}

/**
 * wrap_content view计算宽高
 * @param view
 * @return
 */
fun atMostViewSize(view: View): IntArray {
    val size = IntArray(2)
    val width = View.MeasureSpec.makeMeasureSpec(Int.MAX_VALUE shr 2,
            View.MeasureSpec.AT_MOST)
    val height = View.MeasureSpec.makeMeasureSpec(Int.MAX_VALUE shr 2,
            View.MeasureSpec.AT_MOST)
    view.measure(width, height)
    size[0] = view.measuredWidth
    size[1] = view.measuredHeight
    return size
}

