package com.baijiayun.groupclassui.window.multiupload;

import android.content.Context;
import android.view.View;
import android.widget.ImageView;

import com.baijiayun.glide.Glide;
import com.baijiayun.groupclassui.R;
import com.baijiayun.groupclassui.global.EventKey;
import com.baijiayun.groupclassui.window.InteractiveBaseWindow;

/**
 * Created by pengwenjian on 2021/3/11
 * Describe:
 */
public class PreviewImgWindow extends InteractiveBaseWindow {

    public PreviewImgWindow(Context context,String url) {
        super(context);
        $.id(R.id.iv_close).clicked(v -> iRouter.getSubjectByKey(EventKey.DisplayImgPreview).onNext(""));
        Glide.with(context).load(url).into((ImageView) $.id(R.id.iv).view());
    }

    public void setImgPath(String url) {
        Glide.with(context).load(url).into((ImageView) $.id(R.id.iv).view());
    }

    @Override
    protected View onCreateView(Context context) {
        return View.inflate(context, R.layout.bjysc_window_img_preview,null);
    }
}
