package com.baijiayun.groupclassui.window.toolbox.smallblackboard;

/**
 * Created by yongjiaming on 2019/3/22
 * 小黑板状态枚举
 */
public enum SmallBlackboardStatus {
    /**
     * 老师选择全员或者特定学生
     */
    TEACHER_INIT,
    /**
     * 老师选择学生发布小黑板
     */
    TEACHER_SELECT,
    /**
     * 老师待发布状态
     */
    TEACHER_TO_PUBLISH,

    /**
     * 老师查看状态，左右翻页
     */
    TEACHER_REVIEW,

    /**
     * 公示某人的小黑板
     */
    PUBLISH_TO_ALL,

    /**
     * 学生作答状态
     */
    STUDENT_WRITING,

    /**
     * 全部提交完状态
     */
    ALL_COMMITTED,

    /**
     * 空的管理页面
     */
    EMPTY
}
